Skip to main content
GET
/
projects
/
{projectIdOrName}
/
jwt-keys
/
{keyId}
Get a specific JWT key
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/jwt-keys/{keyId} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/jwt-keys/{keyId}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/jwt-keys/{keyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "label": "production-key-1",
  "algorithm": "RSA",
  "publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n",
  "active": true,
  "createTime": "2024-01-15T10:30:00Z",
  "updateTime": "2024-01-15T10:30:00Z"
}
{
"type": "https://httpstatuses.com/404",
"title": "Not Found",
"status": 404,
"detail": "JWT key not found",
"remedy": "check the key ID and project ID are both correct, and try again"
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

Ampersand Project ID or name.

keyId
string
required

The JWT key ID.

Response

JWT key retrieved successfully

id
string<uuid>
required

Unique identifier for the JWT key

Example:

"550e8400-e29b-41d4-a716-446655440000"

projectId
string<uuid>
required

The project this JWT key belongs to

Example:

"123e4567-e89b-12d3-a456-426614174000"

label
string
required

Human-readable name for the JWT key

Example:

"production-key-1"

algorithm
enum<string>
required

The cryptographic algorithm used

Available options:
RSA
Example:

"RSA"

publicKeyPem
string<pem>
required

RSA public key in PEM format

Example:

"-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n"

active
boolean
required

Whether the JWT key is currently active and can be used for verification

Example:

true

createTime
string<date-time>
required

Timestamp when the JWT key was created

Example:

"2024-01-15T10:30:00Z"

updateTime
string<date-time>
required

Timestamp when the JWT key was last updated

Example:

"2024-01-15T10:30:00Z"